UPDATE RESOURCES SET CONTENT=$FILE{/com/openbravo/pos/templates/Menu.Root.txt} WHERE ID='0';
UPDATE ROLES SET PERMISSIONS=$FILE{/com/openbravo/pos/templates/Role.Administrator.xml} WHERE ID='0';
UPDATE ROLES SET PERMISSIONS=$FILE{/com/openbravo/pos/templates/Role.Manager.xml} WHERE ID='1';
UPDATE ROLES SET PERMISSIONS=$FILE{/com/openbravo/pos/templates/Role.Employee.xml} WHERE ID='2';

UPDATE APPLICATIONS SET NAME = $APP_NAME{}, VERSION = $APP_VERSION{} WHERE ID = $APP_ID{};


CREATE TABLE SUPPLIER_SEQ (
    ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1)
);
INSERT INTO SUPPLIER_SEQ VALUES (DEFAULT);
CREATE TABLE SUPPLIER (
  ID INTEGER NOT NULL,
  NAME VARCHAR(256) NOT NULL,
  MOBILE VARCHAR(30),
  PHONE VARCHAR(30) DEFAULT NULL,
  EMAIL VARCHAR(40) DEFAULT NULL,
  ADDRESS VARCHAR(256) DEFAULT NULL,
  VAT_ID VARCHAR(100),
  TAXCATEGORY VARCHAR(256),
  CURCREDIT DOUBLE PRECISION DEFAULT 0,
  PRIMARY KEY (ID),
  CONSTRAINT SUPPLIER_TAXCAT FOREIGN KEY (TAXCATEGORY) REFERENCES TAXCUSTCATEGORIES(ID)
);

CREATE TABLE PURCHASE_ORDER_SEQ (
    ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1)
);
INSERT INTO PURCHASE_ORDER_SEQ VALUES (DEFAULT);

CREATE TABLE PO_PURCHASE_ORDER_SEQ (
    ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1)
);
INSERT INTO PO_PURCHASE_ORDER_SEQ VALUES (DEFAULT);

CREATE TABLE PO_REFOUND_PURCHASE_ORDER_SEQ (
    ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1)
);
INSERT INTO PO_REFOUND_PURCHASE_ORDER_SEQ VALUES (DEFAULT);


CREATE TABLE PURCHASE_ORDER (
  ID INTEGER NOT NULL,
  DATENEW DATE NOT NULL,
  PO_ID INTEGER NOT NULL,
  REFERENCE VARCHAR(150) NOT NULL,
  SUPPLIER INTEGER NOT NULL,
  STATUS INTEGER NOT NULL DEFAULT 0,
  STORE VARCHAR(150),
  AMOUNT_UNTAX DOUBLE PRECISION DEFAULT 0,
  AMOUNT_TAX DOUBLE PRECISION DEFAULT 0,
  AMOUNT DOUBLE PRECISION DEFAULT 0,
  TOTALPAID DOUBLE PRECISION DEFAULT 0,
  SUPPLIER_VAT_ID VARCHAR(100),
  REFOUND BOOLEAN DEFAULT FALSE,
  USERID VARCHAR(100) NOT NULL,
  PRIMARY KEY (ID),
  CONSTRAINT PO_SUPPLIER_FK FOREIGN KEY (SUPPLIER) REFERENCES SUPPLIER(ID)
);

CREATE TABLE PURCHASE_ORDER_LINE (
  ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1),
  PO INTEGER NOT NULL ,
  PRODUCT VARCHAR(100) NOT NULL ,
  SUBPRODUCT INTEGER ,
  QTY DOUBLE PRECISION NOT NULL  ,
  PRICE DOUBLE PRECISION NOT NULL,
  AMOUNT_TAX DOUBLE PRECISION DEFAULT 0,
  VAUE DOUBLE PRECISION DEFAULT 0,
  TAXID VARCHAR(256),
  PRIMARY KEY (ID),
  CONSTRAINT POLINE_PO_FK FOREIGN KEY (PO) REFERENCES PURCHASE_ORDER(ID),
  CONSTRAINT POLINE_PO_FK_2 FOREIGN KEY (TAXID) REFERENCES TAXES(ID)
);


CREATE TABLE PURCHASE_PAYMENT_SEQ (
    ID INTEGER GENERATED ALWAYS AS IDENTITY (START WITH 1)
);
INSERT INTO PURCHASE_PAYMENT_SEQ VALUES (DEFAULT);

CREATE TABLE PURCHASE_PAYMENT (
  ID INTEGER NOT NULL,
  PO INTEGER NOT NULL ,
  TYPE VARCHAR(40) NOT NULL,
  DATE DATE NOT NULL,
  AMOUNT  DOUBLE PRECISION NOT NULL,
  NOTE VARCHAR(500),
  CONSTRAINT PO_PAYMENT_FK FOREIGN KEY (PO) REFERENCES PURCHASE_ORDER(ID)
);